For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet the line items of a payable
      • POSTAdd a line item to a payable
      • PUTReplaces the lines items in a payable
      • GETGet a single line item of a payable
      • DELDelete a line item from a payable
      • PATCHUpdate a line item in a payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payablePayable line items

Delete a line item from a payable

DELETE
/payables/:payable_id/line_items/:line_item_id
DELETE
/v1/payables/:payable_id/line_items/:line_item_id
$curl -X DELETE https://api.sandbox.monite.com/v1/payables/payable_id/line_items/line_item_id \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Delete the line item with the given ID. Related guide: [Remove a line item](https://docs.monite.com/accounts-payable/payables/line-items#remove-a-line-item) See also: [Manage line items](https://docs.monite.com/accounts-payable/payables/line-items) [Collect payables](https://docs.monite.com/accounts-payable/payables/collect)
Was this page helpful?
Previous

Update a line item in a payable

Next
Built with

Delete the line item with the given ID.

Related guide: Remove a line item

See also:

Manage line items

Collect payables

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

line_item_idstringRequired
payable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

400
Delete Payables ID Line Items ID Request Bad Request Error
403
Delete Payables ID Line Items ID Request Forbidden Error
404
Delete Payables ID Line Items ID Request Not Found Error
406
Delete Payables ID Line Items ID Request Not Acceptable Error
422
Delete Payables ID Line Items ID Request Unprocessable Entity Error
500
Delete Payables ID Line Items ID Request Internal Server Error